//
//  BuildController.h
//  ActionBuild
//
//  Created by Michael Murray on 12/6/09.
//  Copyright 2009 Wizaado. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "BuildTask.h"
#import "ProjectController.h"

@class BuildViewController;


@interface BuildController : NSObject<BuildTaskController> {
	IBOutlet NSTextView *outputText;
	IBOutlet NSTextField *statusLabel;
	
	IBOutlet ProjectController *project;
	IBOutlet NSTabView *mainTabVew;
	
	BuildTask *buildTask;
	BuildViewController *buildView;
	
	BOOL compilerRunning;
	BOOL debug;
	NSTask *launchTask;
}

@property(nonatomic, retain) BuildViewController *buildView;

- (IBAction) debugProject:(id)sender;
- (IBAction) runProject:(id)sender;

@end
