//
//  BuildResultParser.h
//  ActionBuild
//
//  Created by Mike Murray on 2/23/10.
//  Copyright 2010 Wizaado. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "CocoaOniguruma/OnigRegexp.h"
#import "OutputMessage.h"

@interface BuildResultParser : NSObject {
	
	OnigRegexp *mxmlcErrorType;
	OnigRegexp *mxmlcErrorMessage;
	
	int errorCount;
	int warningCount;
	
}

- (void)reset;
- (OutputMessage*) outputMessageFromData:(NSData*)data;

- (int) compileErrorCount;
- (int) compileWarningCount;

@end
