//
//  FlashTrace.h
//  ActionBuild
//
//  Created by Michael Murray on 11/14/09.
//  Copyright 2009 Wizaado. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <CoreServices/CoreServices.h>

@protocol FlashTrace
	
@end

@interface FlashTrace : NSObject {
	
	NSString *pathToFlashLog;
	NSTask *launchTask;
	
	IBOutlet NSTextView *traceOutput;
	IBOutlet NSScrollView *scrollView;
	
}

- (IBAction) clearOutput:(id)sender;
- (void) clearOutput;
- (void) appendOutput:(NSString *)text;
- (void) launchTail;
- (void) stopProcess;
- (void) launchStop;
- (void) launchProcessStarted;
- (void) launchProcessEnded;

@end
