//
//  LaunchpadController.h
//  ActionBuild
//
//  Created by Mike Murray on 3/6/10.
//  Copyright 2010 Wizaado. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface LaunchpadController : NSWindowController {
	
	id openProjectKey;
	
	NSMutableArray *openedProjects;
	
	//IBOutlet NSWindow *window;
	IBOutlet NSArrayController *projects;
	IBOutlet NSView *projectTemplateAccessoryView;
	IBOutlet NSPopUpButton *templateType;
}

@property (nonatomic, retain) id openProjectKey;

- (NSMutableDictionary*) selectedProject;

- (IBAction)newProject:(id)sender;

- (BOOL) copyTemplate:(NSString*)named toPath:(NSString*)toPath withProjectName:(NSString*)projectName;
- (void) addItemsToCollection;
- (void) addItemToCollection:(NSString*)path;
- (void) remove;
- (BOOL) removeProjectFromDefaultsWithPath:(NSString*)path;


- (IBAction) revealInFinder:(id)sender;
- (IBAction) deleteProject:(id)sender;

@end
