//
//  MainTabView.m
//  FlashSugar
//
//  Created by Mike Murray on 2/13/10.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import "MainTabView.h"


@implementation MainTabView

-(void)addSubview:(NSView*)view withIdentifier:(id)identifier {
	NSTabViewItem *tabViewItem = [[NSTabViewItem alloc] initWithIdentifier:identifier];
	
	[tabViewItem setLabel:@"Build"];
	
	[self addTabViewItem:tabViewItem];
	[tabViewItem setView:view];
	
	//[tabViewItem release];
}

-(void)didAddSubview:(NSView *)subview {
	
	[super didAddSubview:subview];
	
	[subview setFrame:[self frame]];
	[subview setNeedsDisplay:YES];
}

@end
