//
//  MenuItem.h
//  ActionBuild
//
//  Created by Michael Murray on 12/22/09.
//  Copyright 2009 Wizaado. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface MenuItem : NSTreeNode {
	NSString *title;
	NSString *iconName;
	NSString *tag;
	
	NSImage *icon;
}

@property (nonatomic, retain) NSString *title;
@property (nonatomic, retain) NSString *iconName;
@property (nonatomic, retain) NSString *tag;

/*
- (void)setObjectValue:(MenuItem*)value;
- (MenuItem*)objectValue;
*/

+ (MenuItem*)initWithTitle:(NSString*)itemTitle;
+ (MenuItem*)initWithTitle:(NSString*)itemTitle withIcon:(NSString*)theIcon;

- (BOOL)isHeading;

@end
