//
//  MenuOutlineView.m
//  ActionBuild
//
//  Created by Michael Murray on 12/24/09.
//  Copyright 2009 Wizaado. All rights reserved.
//

#import "MenuOutlineView.h"


@implementation MenuOutlineView

- (void) awakeFromNib {
	
	[self setDelegate:self];
	//[self setDataSource:self];
	//[self setRowHeight:30.0];
	
	//[self setSelectionHighlightStyle:NSTableViewSelectionHighlightStyleSourceList];
	
	
	MenuItemCell *cell = [MenuItemCell new];
	//[[self tableColumnWithIdentifier:@"titleColumn"] setDataCell:cell];	
	/*
	NSMenuCell *myPopUpCell = [[NSMenuCell alloc] init];
    [myPopUpCell setBordered:NO];
    [myPopUpCell setAutoenablesItems:NO];
    [myPopUpCell addItemsWithTitles:[NSArray arrayWithObjects:@"Item1", @"Item2", @"Item3", nil]];
	[myPopUpCell setArrowPosition:NSPopUpArrowAtBottom];
	[myPopUpCell setImage:[NSImage imageNamed:@"error"]];
	[myPopUpCell setTitle:@""];
	
	[[self tableColumnWithIdentifier:@"auxColumn"] setDataCell:myPopUpCell];	
	[myPopUpCell release];
	*/
	[cell release];
	
	NSMutableArray *roots = [[[NSMutableArray alloc] init] autorelease];
	
	//
	//
	MenuItem *tasks = [MenuItem initWithTitle:@"TASKS"];
	sources = [MenuItem initWithTitle:@"BUILD SOURCES"];
	
	//[m setLeaf:YES];
	
	[roots addObject:tasks];
	[roots addObject:sources];
	
	MenuItem *taskItems;
	
	taskItems = [MenuItem initWithTitle:@"Build"];
	taskItems.tag = @"build";
	[[tasks mutableChildNodes] addObject:taskItems];
	
	taskItems = [MenuItem initWithTitle:@"Traces"];
	taskItems.tag = @"trace";
	[[tasks mutableChildNodes] addObject:taskItems];
	
	
	
	[menuData setContent:roots];
	[self reloadData];
	
	
	//MenuItem *m = [MenuItem new];
	//[m childNodes];
	[self expandItem:nil expandChildren:YES];
}

//- (void) addMenuItem:(NSString)

- (NSRect)frameOfOutlineCellAtRow:(NSInteger)row {

	if([self levelForRow:row] == 0) {
		
		return NSZeroRect;
		
	}
	
	return [super frameOfOutlineCellAtRow:row];
}


- (void)addBuildSourcesFromArray:(NSArray*)buildSources {
	MenuItem *m;
	
	for(id object in buildSources) {
		
		NSLog(@"BuildSourcesFrom Array: %@", [object source]);
		
		m = [[MenuItem new] autorelease];
		m.title = [object source];
		m.tag = @"messages";
		
		[[sources mutableChildNodes] addObject:m];
	}
	
	[self reloadData];
	[self expandItem:nil expandChildren:YES];
}

#pragma mark -
#pragma mark ProjectModel Protocol

#pragma mark -
#pragma mark Delegates

- (BOOL)outlineView:(NSOutlineView *)outlineView isGroupItem:(id)item {
    if ([outlineView parentForItem:item]) {
        // If not nil; then the item has a parent.
        return NO;
    }
    return YES;
}

- (BOOL)outlineView:(NSOutlineView *)outlineView shouldSelectItem:(id)item
{
    return ![self outlineView:outlineView isGroupItem:item];
}

- (void)outlineViewSelectionDidChange:(NSNotification *)notification {
	
	@try {
		MenuItem *m = [[menuData selectedObjects] objectAtIndex:0];
		[tabView selectTabViewItemWithIdentifier:[m tag]];
		NSLog(@"Menu Selected Item: %@", [[menuData selectedObjects] objectAtIndex:0]);
	}
	@catch (NSException * e) {
		
	}
	@finally {
		
	}
	
	
	//[tabView selectTabViewItemAtIndex:2];
	
	
	
}
/*
- (NSCell *)outlineView:(NSOutlineView *)outlineView dataCellForTableColumn:(NSTableColumn *)tableColumn item:(id)item {  
	[outlineView rowForItem:item] == 0 ? [outlineView setIndentationPerLevel:0.0] : [outlineView setIndentationPerLevel:14.0];  
	return nil == tableColumn ? nil : [tableColumn dataCellForRow: [outlineView rowForItem:item]];
}
*/


- (void)outlineView:(NSOutlineView *)outlineView willDisplayCell:(id)cell forTableColumn:(NSTableColumn *)tableColumn item:(id)item {
	
	
	
	//[cell setBackgroundColor:[NSColor clearColor]];
	//[cell setImage:[NSImage imageNamed:@"error"]];
	
}
/*
- (id)tableView:(NSTableView *)aTableView objectValueForTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex {
	NSParameterAssert(rowIndex >= 0 && rowIndex < [menu count]);
	
	return [menu objectAtIndex:rowIndex];
	//return @"hitlt";
}

- (void)tableView:(NSTableView *)aTableView setObjectValue:anObject forTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex {
	MenuItem *item;
	
	NSParameterAssert(rowIndex >= 0 && rowIndex < [menu count]);
	item = [menu objectAtIndex:rowIndex];
}

- (int)numberOfRowsInTableView:(NSTableView *)aTableView {
	return [menu count];
}
*/
//- (void) addMenuItem:(NSString*)

@end
