//
//  OutputMessage.m
//  ActionBuild
//
//  Created by Michael Murray on 10/24/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "OutputMessage.h"


@implementation OutputMessage

@synthesize message;
@synthesize type;
@synthesize backgroundColorForRow;
@synthesize line;
@synthesize file;
@synthesize icon;
@synthesize fullMessage;

- (NSString*) message {
	if([message length] < 1) {
		return fullMessage;
	}
	
	return message;
}

- (NSColor*) backgroundColorForRow {
	/*
	if ([type isEqual:@"Error"]) {
		return [NSColor redColor];
	} else if ([type isEqual:@"Warning"]) {
		return [NSColor yellowColor];
	}
*/
	return [NSColor whiteColor];
}

- (NSData*) icon {
	
	NSMutableString *resourcePath = [[[NSBundle mainBundle] resourcePath] mutableCopy];
	NSImage *image = nil;
	
	if ([type isEqual:@"Error"]) {
		[resourcePath appendString:@"/error.png"];
	} else if ([type isEqual:@"Warning"]) {
		[resourcePath appendString:@"/warning.png"];
	}
	
	image = [[[NSImage alloc] initWithContentsOfFile:resourcePath] autorelease];
	//[resourcePath release];
	
	
	return [NSData dataWithContentsOfFile:resourcePath];
}

- (void) dealloc {
	
	self.message = nil;
	self.type = nil;
	self.backgroundColorForRow = nil;
	self.line = nil;
	self.file = nil;
	self.icon = nil;
	self.fullMessage = nil;
	
	[super dealloc];
}

@end
