//
//  OutputPanelController.m
//  ActionBuild
//
//  Created by Michael Murray on 10/24/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "OutputMessageController.h"


@implementation OutputMessageController

- (OutputMessage*) messageAtIndex:(int)index {
	return (OutputMessage*)[[self arrangedObjects] objectAtIndex:index];
}

-(void) addMessage:(NSString*)message withType:(NSString*)type {
	OutputMessage *om = [[OutputMessage alloc] init];
	om.message = message;
	om.type = type;
		
	[self addObject:om];
	[om release];
}

-(void) addMessageFromMessage:(OutputMessage*)message {
	if(message)
		[self addObject:message];
}

-(void) clear {
	[self removeObjects:[self arrangedObjects]];
}

@end
