//
//  RunViewController.m
//  ActionBuild
//
//  Created by Mike Murray on 3/6/10.
//  Copyright 2010 Wizaado. All rights reserved.
//

#import "RunViewController.h"


@implementation RunViewController

- (NSString *)nibName {
	return @"RunView";
}

- (void) awakeFromNib {

}

+ (BOOL)isSelectorExcludedFromWebScript:(SEL)selector
{
    NSLog(@"%@ received %@ for '%@'", self, NSStringFromSelector(_cmd), NSStringFromSelector(selector));
    
    return YES;
}


- (void) setPreviewDocument:(NSURL*)url {
	
	[[webView mainFrame] loadRequest: [NSURLRequest requestWithURL:url]];
	
	/*
	NSString *htmlfile = [NSString stringWithContentsOfFile:path encoding:NSUTF8StringEncoding error:nil];
	NSURL *url = [NSURL URLWithString:[path stringByDeletingLastPathComponent]];
	
	[[webView mainFrame] loadHTMLString:htmlfile baseURL:url];
	*/
}

- (void) showDebugger {
	NSString *ss = [[NSBundle mainBundle] sharedSupportPath];
	NSURL *url = [NSURL fileURLWithPath:[ss stringByAppendingPathComponent:@"Debugger/Debugger.html"]];
	[self setPreviewDocument:url];
}

- (void) webViewLoadRequest:(NSURL*) url {
	
	//NSURL *_url = [[url copy] retain];
	
	NSLog(@"WebFrame : %@", [webView mainFrame]);
	
	
	[[webView mainFrame] loadRequest:[NSURLRequest requestWithURL:[NSURL fileURLWithPath:@"/Users/MikeMurray/Desktop/TEST/bin/index.html"]]];
	
	//[[webView mainFrame]loadRequest:[NSURLRequest requestWithURL:_url]];
	//[self setAddress:[_url path]];
	//[_url release];
	
	//[webView setMainFrameURL:[url urlFrom];
	
}

- (WebView *) webView:(WebView *)sender createWebViewWithRequest:(NSURLRequest *)request
{   
    // On Javascript window.open, Webkit sends a null request here, then sends a
    // loadRequest: to the new WebView, which will include a
    // decidePolicyForNavigation (which is where we'll open our external
    // window).
    WebView *newWebView = [[[WebView alloc] init] autorelease];
    [newWebView setUIDelegate:self];
    [newWebView setPolicyDelegate:self];
    //[self addPendingWebView:newWebView];
	
	
    return newWebView;
}


- (void)webView:(WebView *)sender didFinishLoadForFrame:(WebFrame *)frame {
	
}

// -----------------------------------------
#pragma mark -
#pragma mark Web View

- (BOOL) canGoBack {
	return [webView canGoBack];
}

- (BOOL) canGoForward {
	return [webView canGoForward];
}

- (IBAction) goBack:(id)sender {
	[webView goBack:sender];
}

- (IBAction) goForward:(id)sender {
	[webView goForward:sender];
}

- (IBAction) reload:(id)sender {
	[webView reload:sender];
}

@end
