//
//  ToolbarController.m
//  ActionBuild
//
//  Created by Michael Murray on 12/5/09.
//  Copyright 2009 Wizaado. All rights reserved.
//

#import "ToolbarController.h"


@implementation ToolbarController

- (id) init {
	
	self = [super init];
	
	[toolbar setSelectedItemIdentifier:@"messages"];
	
	
	return self;
}

- (NSArray *)toolbarSelectableItemIdentifiers: (NSToolbar *)toolbar {
	
    // Optional delegate method: Returns the identifiers of the subset of
	
    // toolbar items that are selectable. In our case, all of them
	
	
	
    return [NSArray arrayWithObjects:@"Errors", @"Messages", nil];
	
}

- (IBAction) selectTabView:(NSToolbarItem*)sender {
	
	//NSLog(@"Ident: %@", [sender itemIdentifier]);
	
	//[sender setEnabled:NO];
	[tabView selectTabViewItemWithIdentifier:[sender itemIdentifier]];
}

- (void)tabView:(NSTabView *)tabView willSelectTabViewItem:(NSTabViewItem *)tabViewItem {
	[toolbar setSelectedItemIdentifier:[tabViewItem identifier]];
}

@end
