//
//  BuildOption.m
//  ActionBuild
//
//  Created by Michael Murray on 7/21/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "BuildOption.h"


@implementation BuildOption

-(id) initWithName:(NSString*)optionName {
	name = optionName;
	option = @"";
	
	return self;
}

-(id) initWithName:(NSString*)optionName option:(NSString*)optionValue {
	name = optionName;
	option = optionValue;
	
	return self;
}

-(id) initWithName:(NSString*)optionName option:(NSString*)optionValue andAddToController:(NSArrayController*)controller {
	name = optionName;
	option = optionValue;
	
	[controller addObject:self];
	
	return self;
}

-(void) dealloc {
		
	[name release];
	[option release];
	
	[super dealloc];
}

-(NSString*) name { return name; }

-(void) setName:(NSString*)value {
	
	value = [value copy];
	[name release];
	name = value;
}

-(NSString*) option { return option; }

-(void) setOption:(NSString*)value {
	
	value = [value copy];
	[option release];
	option = value;
}


@end
