//
//  BuildViewController.h
//  FlashSugar
//
//  Created by Mike Murray on 2/13/10.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "FlashTrace.h"
#import "OutputMessageController.h"


@interface BuildViewController : NSViewController {
	IBOutlet FlashTrace *flashTrace;
	IBOutlet OutputMessageController *messages;
	IBOutlet NSTextView *buildLog;
}

- (IBAction) clearTraces:(id)sender;

- (void) clearMessages;
- (void) addMessage:(OutputMessage *)message;
- (void) addLog:(NSString*)log;
- (void) setStatus:(NSString *)status;

@end
