//
//  BuildViewController.m
//  FlashSugar
//
//  Created by Mike Murray on 2/13/10.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import "BuildViewController.h"


@implementation BuildViewController


- (NSBundle *) nibBundle {
	return [NSBundle mainBundle];
}

- (NSString *)nibName {
	return @"BuildView";
}

- (void) awakeFromNib {
	/*
	NSView *thisView = [self view];
	
	[thisView setFrame:[[thisView superview] frame]];
	[thisView setNeedsDisplay:YES];*/
}

- (void) clearMessages {
	[messages clear];
	[buildLog setString:@""];
}

- (void) addMessage:(OutputMessage *)message {
	[messages addMessageFromMessage:message];
}

- (void) setStatus:(NSString *)status {
	//[statusLabel setStringValue:status];
}

- (void) addLog:(NSString*)log {
	[[[buildLog textStorage] mutableString] appendString:log];
}


- (IBAction) clearTraces:(id)sender {
	[flashTrace clearOutput];
}


@end
