//
//  MenuController.m
//  ActionBuild
//
//  Created by Michael Murray on 12/22/09.
//  Copyright 2009 Wizaado. All rights reserved.
//

#import "MenuController.h"


@implementation MenuController

-(id) init {
	
	self = [super init];
    if (self) {
		
		
    }
    return self;
}

- (void) dealloc {
	[menu release];
	[super dealloc];
}

- (void) awakeFromNib {
	
	[self setDelegate:self];
	[self setDataSource:self];
	[self setRowHeight:30.0];
	[self setSelectionHighlightStyle:NSTableViewSelectionHighlightStyleSourceList];
	//[self setBackgroundColor:[NSColor clearColor]];
	
	// Set The cell for the menu
	MenuItemCell *cell = [[MenuItemCell new] autorelease];
	[[self tableColumnWithIdentifier:@"titleColumn"] setDataCell:cell];
	
	//[self setColumnA
	
	//[menuArray addObject:[MenuItem initWithTitle:@"Build" withIcon:@"burn.icns"]];
	[menuArray addObject:[MenuItem initWithTitle:@"Traces"]];
	//[menuArray addObject:[MenuItem initWithTitle:@"Settings"]];
	
	menu = [NSMutableArray new];
	[menu addObject:[MenuItem initWithTitle:@"Build" withIcon:@"burn"]];
	[menu addObject:[MenuItem initWithTitle:@"Traces"]];
	
	[self reloadData];
	
	[self selectRow:(0) byExtendingSelection:NO];
		
}

- (IBAction) selectTabView:(id)sender {
	
}
	 
- (void) selectMenuItemAtRow:(int)rowIndex {
	[self selectRow:(rowIndex) byExtendingSelection:NO];
}

#pragma mark -
#pragma mark NStableView Delegate Methods

- (BOOL)tableView:(NSTableView *)aTableView shouldSelectRow:(NSInteger)rowIndex {
	[mainTabView selectTabViewItemAtIndex:rowIndex];
	
	return YES;
}

#pragma mark -
#pragma mark Datasource

- (id)tableView:(NSTableView *)aTableView objectValueForTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex {
	NSParameterAssert(rowIndex >= 0 && rowIndex < [menu count]);
	
	return [menu objectAtIndex:rowIndex];
	//return @"hitlt";
}

- (void)tableView:(NSTableView *)aTableView setObjectValue:anObject forTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex {
	MenuItem *item;
	
	NSParameterAssert(rowIndex >= 0 && rowIndex < [menu count]);
	item = [menu objectAtIndex:rowIndex];
}

- (int)numberOfRowsInTableView:(NSTableView *)aTableView {
	return [menu count];
}

#pragma mark -
#pragma mark Drawing
/*
-(void) drawRect:(NSRect)rect {
	
	[[NSColor blueColor] setFill];
	
	NSRectFill(rect);
	
	[NSGraphicsContext restoreGraphicsState];
}*/
/*
- (id)_highlightColorForCell:(NSCell *)cell
{
	// we need to override this to return nil
	// or we'll see the default selection rectangle when the app is running 
	// in any OS before leopard
	
	// you can also return a color if you simply want to change the table's default selection color
    return nil;
}
	 
- (void)highlightSelectionInClipRect:(NSRect)clipRect {
	
}
*/
/*
- (void)drawRow:(NSInteger)row clipRect:(NSRect)clipRect;
{
	
	/*
	NSColor *color = [NSColor colorWithCalibratedRed:(200/255.0) green:(200/255.0) blue:(200/255.0) alpha:1];
	
	// ignore any background color if the row is selected
	if ([self isRowSelected:row] == NO) {
		
		//NSLog(@"%@ %i", @"Color For Row", row);
		
		[NSGraphicsContext saveGraphicsState];
		NSRectClip(clipRect);
		NSRect rowRect = [self rectOfRow:row];
		
		// draw over the alternating row color
		//[color setFill];
		
		
		// draw with rounded end caps
		//CGFloat radius = NSHeight(rowRect) / 5.0;
		//NSBezierPath *p = [NSBezierPath bezierPathWithRoundedRect:NSInsetRect(rowRect, 1.0, 0.0) xRadius:radius yRadius:radius];
		
		//[color setFill];
		
		NSArray *colors = [NSArray arrayWithObjects: 
		[NSColor colorWithCalibratedRed:(234/255.0) green:(234/255.0) blue:(234/255.0) alpha:1],									
		[NSColor colorWithCalibratedRed:(198/255.0) green:(198/255.0) blue:(198/255.0) alpha:1], nil];
		 
		 
		 NSGradient *gradient = [[[NSGradient alloc] initWithColors: colors] autorelease];
		 
		//[gradient drawInBezierPath:p angle:90];
		[gradient drawInRect:rowRect angle:90];
		 
		//[p fill];
		
		//NSRectFill(NSIntersectionRect(rowRect, clipRect));
		
		[NSGraphicsContext restoreGraphicsState];
		
		
	}
	// draw cells on top of the new row background
	[super drawRow:row clipRect:clipRect];
}
*/
@end
