//
//  MenuOutlineView.h
//  ActionBuild
//
//  Created by Michael Murray on 12/24/09.
//  Copyright 2009 Wizaado. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MenuItem.h"
#import "MenuItemCell.h"

@interface MenuOutlineView : NSOutlineView {
	IBOutlet NSTreeController *menuData;
	IBOutlet NSTabView *tabView;
	
	MenuItem *sources;
	NSMutableArray *menu;
}

- (void)addBuildSourcesFromArray:(NSArray*)sources;


@end
