//
//  ProjectCollectionItem.h
//  CollectionView
//
//  Created by Mike Murray on 3/6/10.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ProjectCollectionItem : NSCollectionViewItem {
	NSString *name;
	NSString *date;
	NSString *projectPath;
	NSImage *icon;
	
	id delegate;
}

@property (nonatomic, retain) NSString *name;
@property (nonatomic, retain) NSString *date;
@property (nonatomic, retain) NSString *projectPath;
@property (nonatomic, retain) NSImage *icon;
@property (nonatomic, retain) id delegate;

- (id) initWithPath:(NSString*)path;

@end
