//
//  ProjectItemView.h
//  CollectionView
//
//  Created by Mike Murray on 3/7/10.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSObject (ProjectViewItemDelegate) 
- (void) doubleClick;
- (void) selectProject:(id)sender;
- (void) openProjectWithPath:(NSString*)str;
@end


@interface ProjectItemView : NSView {
	NSString *projectPath;
	id delegate;
	IBOutlet NSBox *highlightBox;
	
	BOOL isSelected;
}

@property (nonatomic, retain) NSString *projectPath;
@property (nonatomic, retain) IBOutlet id delegate;
//@property (nonatomic, retain) IBOutlet NSBox *highlightBox;

- (void) setSelected:(BOOL)flag;

@end
