//
//  SettingNode.h
//  ActionBuild
//
//  Created by Michael Murray on 11/16/09.
//  Copyright 2009 Wizaado. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SettingNode : NSTreeNode {
	NSString *setting;
    NSString *value;
	
	
    SettingNode *parent;
    NSMutableArray *children;
}

- (id)initWithSetting:(NSString *)setting value:(NSString*)value;

@property (copy) NSString *setting;
@property (copy) NSString *value;



@end
